package checks;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

public class EnvironmentChecker implements ServletContextListener {

	@Override
	public void contextDestroyed(ServletContextEvent arg0) {
			
	}

	@Override
	public void contextInitialized(ServletContextEvent arg0) {
		try{
			MessageDigest.getInstance("SHA-256");
			System.out.println("SHA-256 algorithm found, as expected!");
		}
		catch(NoSuchAlgorithmException ex) {
			System.out.println("\n\n\n\nSEVERE ERROR: COULD NOT FIND WITHIN JVM THE SHA-256 ALGORITHM. PLEASE UPDATE THE JRE TO A VERSION >= 1.7\n\n\n\n");
			//shutting down the webapp should also be considered
		}
		
		
		
	}

}