package dao.entities;

import java.util.List;
import java.util.UUID;

import dao.Dao;
import entities.DataRepository;
import entities.responses.IDLabelPair;
import models.criteria.Criteria;

public interface DataRepositoryDao extends Dao<DataRepository, UUID> {

	List<UUID> listAllIDs();

	List<IDLabelPair> listAllIDsLabels();
	
	List<DataRepository> listBy(Criteria<DataRepository> criteria);

}