package dao.entities.security;

import java.util.UUID;

import dao.Dao;
import entities.security.UserAuth;

public interface UserAuthDao extends Dao<UserAuth, UUID> {
	
	
	public String getPasswordHashOfUser(String username);
	
	public UserAuth getUserAuthBy(String username);
	
}
