package models.dmp;

import models.DataModel;

import java.util.UUID;

public class Project implements DataModel<entities.Project>{
    private UUID id;

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    @Override
    public void fromDataModel(entities.Project entity) {
        this.id = entity.getId();
    }

    @Override
    public entities.Project toDataModel() {
        entities.Project project = new entities.Project();
        project.setId(this.id);
        return project;
    }
}
