package models.properties;

import java.util.List;
import java.util.Map;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;

import entities.xmlmodels.viewstyledefinition.FieldGroup;
import utilities.ModelDefinition;
import utilities.ViewStyleDefinition;
import utilities.builders.ModelBuilder;

public class Group implements PropertiesGenerator{
	private List<FieldSet> compositeFields;
	
	
	public List<FieldSet> getCompositeFields() {
		return compositeFields;
	}
	public void setCompositeFields(List<FieldSet> compositeFields) {
		this.compositeFields = compositeFields;
	}
	@Override
	public void toMap(Map<String, String> fieldValues) {
		this.compositeFields.forEach(item->item.toMap(fieldValues));
	}
	
}
