package models.properties;

import java.util.List;
import java.util.Map;

import utilities.ModelDefinition;
import utilities.ViewStyleDefinition;
import utilities.builders.ModelBuilder;

public class Section implements PropertiesGenerator{

	private List<Section> sections;
	private List<Group> fieldGroups; 
	
	public List<Section> getSections() {
		return sections;
	}
	public void setSections(List<Section> sections) {
		this.sections = sections;
	}
	public List<Group> getFieldGroups() {
		return fieldGroups;
	}
	public void setFieldGroups(List<Group> fieldGroups) {
		this.fieldGroups = fieldGroups;
	}
	@Override
	public void toMap(Map<String, String> fieldValues) {
		this.sections.forEach(item->item.toMap(fieldValues));
		this.fieldGroups.forEach(item->item.toMap(fieldValues));
	}	
}
