import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { ServerService } from '../../app/services/server.service';

@Component({
  selector: 'homepage',
  templateUrl: './homepage.component.html',
  styleUrls: ['./homepage.component.css'],
  providers:  []
})
export class HomepageComponent implements OnInit{

  private userInfo: any;

  constructor(private serverService: ServerService, private route: ActivatedRoute, private router: Router){

  }


  ngOnInit() {
    this.serverService.whoami().subscribe(
      userInfo => {
        this.userInfo = userInfo;
      },
      error => {

      }
    );
  }


}