import { FormGroup } from '@angular/forms';
import { Field } from '../models/Field';
import { Component, Input, OnInit } from '@angular/core';

@Component({
    selector: 'combobox-component',
    templateUrl: './combobox-component.html'
})
export class ComboboxComponent implements OnInit{
    @Input() dataModel: Field;
    @Input() form: FormGroup;

    options = [{id:"autocomplete", value: "autocomplete"}, {id:"wordlist", value: "wordlist"}];

    ngOnInit(){

    }
}