package dao.entities;

import java.util.List;
import java.util.UUID;

import dao.Dao;
import entities.Dataset;
import entities.responses.IDLabelPair;

public interface DatasetDao extends Dao<Dataset, UUID> {


	public List<UUID> listAllIDs();

	List<IDLabelPair> listAllIDsLabels();

	List<Dataset> getDatasetsOfDmp(UUID dmpID);
	
}