package dao.entities;

import java.util.List;
import java.util.UUID;

import dao.Dao;
import entities.Organisation;
import entities.Registry;
import entities.responses.IDLabelPair;
import models.criteria.Criteria;

public interface OrganisationDao extends Dao<Organisation, UUID> {

	public List<UUID> listAllIDs();

	List<IDLabelPair> listAllIDsLabels();

	List<Organisation> listBy(Criteria<Organisation> criteria);


}