package managers;

import org.json.JSONObject;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

import utilities.builders.XmlBuilder;

public class UserManager {
	public static models.user.composite.DatasetProfile generateDatasetProfileModel(entities.DatasetProfile profile){
		Document viewStyleDoc = XmlBuilder.fromXml(profile.getViewstyle().getDefinition());
		Element root = (Element)viewStyleDoc.getDocumentElement();
		entities.xmlmodels.viewstyledefinition.ViewStyleModel viewstyle= new entities.xmlmodels.viewstyledefinition.ViewStyleModel().fromXml(root);
		
		Document profileDoc = XmlBuilder.fromXml(profile.getDefinition());
		root = (Element)profileDoc.getDocumentElement();
		entities.xmlmodels.modeldefinition.FieldGroup fieldGroup = new entities.xmlmodels.modeldefinition.FieldGroup().fromXml(root);

		models.user.composite.DatasetProfile datasetprofile = new models.user.composite.DatasetProfile();
		datasetprofile.buildProfile(fieldGroup, viewstyle);
		
		return datasetprofile;
	}
}
