package models.dataset;

import models.DataModel;

import java.util.Date;

public class DataRepository implements DataModel<entities.DataRepository>{
	private String pid;
    private String name;
    private String uri;	
	
	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getUri() {
		return uri;
	}

	public void setUri(String uri) {
		this.uri = uri;
	}

	public void fromDataModel(entities.DataRepository entity){
		this.pid = entity.getReference();
		this.name = entity.getLabel();
		this.uri = entity.getUri();
	}
	
	public entities.DataRepository toDataModel(){
		entities.DataRepository entity = new entities.DataRepository();
		entity.setReference(this.pid);
		entity.setLabel(this.name);
		entity.setUri(this.uri);
		entity.setCreated(new Date());
		entity.setModified(new Date());
		entity.setStatus((short)0);
		return entity;
	}
}
