import { VisibilityRulesService } from '../../visibility-rules/visibility-rules.service';
import { CompositeField } from '../../models/CompositeField';
import { FormGroup } from '@angular/forms';
import { Section } from '../../entities/model/section';
import { Component, Input, OnInit, ViewEncapsulation } from '@angular/core';
@Component({
    selector: 'df-composite-field',
    templateUrl: './dynamic-form-composite-field.html',
    styleUrls: [
      './dynamic-form-composite-field.css'
    ],
    encapsulation: ViewEncapsulation.None,
  })
  export class DynamicFormCompositeFieldComponent implements OnInit{

    @Input() compositeField: CompositeField
    @Input() form: FormGroup;
    @Input() pathName:string;
    @Input() path:string;
    
    constructor(private visibilityRulesService:VisibilityRulesService){}

    ngOnInit(){

    }
  }