import * as _ from "lodash";
import { Pipe, PipeTransform } from "@angular/core";

@Pipe({
    name: "dmpstatusFilter"
})
export class DmpStatusFilterPipe implements PipeTransform {

    transform(array: any[], status: number): any {
        
        if (status) {

            return _.filter(array, row => {
                
                return (
                    row.status == status
                )
            });

        }
        return array;
    }
}